
GammaLib - Bug #1135

Prefactor of GModelSpatialDiffuseMap is ignored in Monte Carlo simulation

02/06/2014 09:13 PM - Knödlseder Jürgen

Status: Closed Start date: 02/06/2014

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

The prefactor of the GModelSpatialDiffuseMap model is ignored in Monte Carlo simulations. This comes from the fact that a spatial

model is assumed to integrate to unity.

History

#1 - 02/17/2014 10:10 PM - Knödlseder Jürgen

- Target version set to 00-08-02

#2 - 02/20/2014 09:38 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 50

Added norm() method to the abstract GModelSpatial interface and use this method to determine the event rate in GModelSky::mc method.

Existing unit tests all succeed, now need to check whether changing the normalization actually correctly changes the MC sample. Do this best using

pull distributions.

#3 - 07/19/2014 02:05 AM - Knödlseder Jürgen

- Target version changed from 00-08-02 to 00-09-00

#4 - 11/11/2014 11:27 PM - Knödlseder Jürgen

- Target version changed from 00-09-00 to 1.0.0

#5 - 02/26/2015 05:34 PM - Knödlseder Jürgen

- File norm1_iter8_prefactor.png added

- File norm1_iter8_index.png added

- File norm1_iter8_bgd_prefactor.png added

- File norm1_iter8_bgd_index.png added

- File norm1_iter8_bgd_sigma.png added

- File norm3_iter8_prefactor.png added

- File norm3_iter8_index.png added

- File norm3_iter8_bgd_prefactor.png added

- File norm3_iter8_bgd_index.png added

- File norm3_iter8_bgd_sigma.png added

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

04/26/2024 1/2



I checked the implementation of the MC normalisation using pull distributions of Cen A. The top row gives result for a normalisation of 1, the bottom

row for a normalisation of 3. Everything looks ok now.
